Jupiter - Zadanie #1675
Rozwijanie drzewa po wejsciu na element
2017-05-11 08:51 - Michat Komar

Status: Rozwigzany Start date: 2017-05-11
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3

Developer: Monika Maksymiuk Tester: Jarostaw Bgbel
Description

Obecnie, po bezposrednim wejsciu na element, drzewo pozostaje zwiniete.
Po wejsciu na element nalezy ustawié¢ node-context na element wynikajacy z url-a.

Aby to zrobi¢ potrzebna jest hierarchia elementu.

Hierarchia dostepna jest pod: /api/document/hierarchy/{documentld} - GET bez parametréw, zwraca DocumentReferenceBean(]
Trzeba doda¢ metode getDocumentHierarchy(documentld:string):Observable<DocumentReferenceBean[]> w documents.service.ts.

DocumentReferenceBean([] jest to tablica wszystkich dokumentéw znajdujgcych sie powyzej

Na podstawie informacji zwracanej przez serwis, trzeba otworzyé wszystkie nody w dot - trzeba pamiegtaé, ze nody otwierajg sie

asynchronicznie.

Associated revisions

Revision 6ee26f81 - 2017-05-18 13:46 - Monika Maksymiuk

refs #1675. Rozwijanie drzewa po wejsciu na element

History

#1 - 2017-05-18 14:06 - Monika Maksymiuk
- Status changed from Nowy to Rozwigzany
- % Done changed from 0 to 100

#2 - 2017-05-18 14:07 - Monika Maksymiuk
- Status changed from Rozwigzany to Testowanie

- Assignee changed from Monika Maksymiuk to Jarostaw Babel

#3 - 2017-06-30 11:26 - Jarostaw Babel
- Status changed from Testowanie to Rozwigzany

- Assignee changed from Jarostaw Babel to Michat Komar

Elementy drzewa prawidtowo rozwijaja sie "o jeden poziom w dot" po podwdéjnym kliknigciu lub po kliknigciu trojkacika obok elementu.
